Subject: Re: Draft MPLS minutes

From: Curtis Villamizar <[email-masked]>
Date: Thu, 03 Apr 2003 11:10:54 -0500

In message <[email-masked].
ca>, Shahram Davari writes:
> >I remember that earlier discussion very well and your objection to the
> >words "simple and efficient" included the argument that these words
> >added nothing to the draft.  I suggested that it could be removed on
> >the grounds that it added nothing but I did not agree that it the
> >protocol could not be described as "simple and efficient".
> 
> I am sure that is true specially after the ULTRA simple ECMP handling
> text that you suggested to be added to the draft !
> 
> >I am also
> >not an author of this draft.  Apparently the authors did not agree
> >since the words "simple and efficient" are still in the -02 draft.
> 
> You are right, I thought it was agreed on the list that this text be removed.
> Also please note that any change to any WG draft MUST be done based on WG
> consensus. So I am not sure that the authors personal opinion should override
> WG consensus.

I suggested the change to appease one vocal complainer and said so
when I suggested it.  My wording was:

> I'm not suggesting comments should be ignored.  For example:
> 
>    This document describes a mechanism that can be used to detect data
>    plane failures in MPLS LSPs.  The mechanisms described here are
>    intended to detect forwarding faults in an MPLS LSP which prevent
>    traffic from being delivered to its intended destination and
>    isolate the fault to the LSR at which traffic stops flowing.  No
>    attempt is made to determine that cause of the fault or diagnose
>    problems any further.  Enumeration of all possible fault types is
>    outside the scope of this document.
> 
> Removing "simple and efficient" in the first sentence addresses a long
> message voicing an objection.
> 
> The last two sentences address some diatribe on this list about
> lsp-ping != Y.1711 by agreeing that lsp-ping != Y.1711.  Its a
> feature.
> 
> I think a lot of comment resulted from a poor understanding of how
> traceroute mode was supposed to work.  I responded earlier by saying
> that "like IP tracroute" was sufficient for me but needed to be in the
> document.  So we'll put it there.
> 
> There was a lot of noise on this list.  If there were useful
> comments that were missed they can be repeated.

No one else spoke in favor of the change.  I was not in favor of the
change but was tired of hearing your complaining.  That leaves you
alone and the apparent consensus is to keep that wording as is.

I suggest that both you and I now stop and listen for consensus on the
list.

> >Since the second sentence is not true it should either be omited from
> >the minutes or a note added that the statement though made was not
> >true.  The authors neither agreed that the protocol is not simple and
> >efficient nor did they remove the text.
> 
> First of all this is a minute of what happened in the meeting, not an
> analysis or debate document. You are free to comment on the list, but
> I don't think changing the minutes of what actually was said is the right
> thing to do. However, if you like to introduce such precedence, then I have
> a bunch of comments against many comments raised during the meeting that 
> I would like to be added to the minutes.

Maybe you don't care if your statement is true.  I'll leave it to the
minute takers/keeper as to whether to footnote the statement.  I don't
think it matters either way.

> -Shahram

Curtis

---

From: Eric Rosen <[email-masked]>
Date: Thu, 03 Apr 2003 10:57:06 -0500

Shahram> please note that  any change to any WG draft MUST  be done based on
Shahram> WG consensus. 

I don't believe there is any such rule, actually.  Do you have a citation?

---

From: Shahram Davari <[email-masked]>
Date: Thu, 3 Apr 2003 07:17:52 -0800

-Shahram